Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.PreflightSettingData Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | PreflightSettingData ()
| Constructor. More...

## Static Public Attributes
| e_LibraryTypeFoxit = _fsdk.PreflightSettingData_e_LibraryTypeFoxit
| Preflight library type: Foxit.
| e_LibraryTypePDFStandards = _fsdk.PreflightSettingData_e_LibraryTypePDFStandards
| Preflight library type: Standards.
| e_LibraryTypePrepressColorTransparency = _fsdk.PreflightSettingData_e_LibraryTypePrepressColorTransparency
| Preflight library type: Prepress,Color and Transparency.
| e_OperateTypeProfiles = _fsdk.PreflightSettingData_e_OperateTypeProfiles
| Opearte type: profiles.
| e_OperateTypeSingleChecks = _fsdk.PreflightSettingData_e_OperateTypeSingleChecks
| Opearte type: single checks.
| e_OperateTypeSingleFixups = _fsdk.PreflightSettingData_e_OperateTypeSingleFixups
| Opearte type: single fixups.
| first_page_index = _fsdk.PreflightSettingData_first_page_index
| Index of the first page to be analyzed or fixed, staring from 0. Default value: 0.
| last_page_index = _fsdk.PreflightSettingData_last_page_index
| Index of the last page to be analyzed or fixed. If this is -1, that means all the pages of the source PDF file will be analyze, and parameter first_page_index will be ignored. Default value: -1.
| operate_type = _fsdk.PreflightSettingData_operate_type
| The preflight operate type. Please refer to values starting from FoxitPDFSDKPython2.PreflightSettingData.e_OperateTypeProfiles and this should be one of these values.
| preflight_key = _fsdk.PreflightSettingData_preflight_key
| The preflight key. Retrieve available keys via FoxitPDFSDKPython2.Preflight.GetItemKeysArray .
| saved_pdf_path = _fsdk.PreflightSettingData_saved_pdf_path
| A complete path for saving the PDF file generated by the preflight analysis and fixup process.
| src_pdf_path = _fsdk.PreflightSettingData_src_pdf_path
| A complete path of source PDF file to be analyze and fix.

## Detailed Description

This class represents setting data for preflight analysis and fixup operations.

## Constructor & Destructor Documentation

## ◆ PreflightSettingData()

def FoxitPDFSDKPython2.PreflightSettingData.PreflightSettingData | ( |  | ) |

Constructor.

Constructor, with parameters.

Parameters

  [in] | preflight_key | The preflight key. Retrieve available keys via FoxitPDFSDKPython2.Preflight.GetItemKeysArray .
  [in] | operate_type | The preflight operate type. Please refer to values starting from FoxitPDFSDKPython2.PreflightSettingData.e_OperateTypeProfiles and this should be one of these values.
  [in] | src_pdf_path | A complete path of source PDF file to be analyzed or fixed. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving pdf file after analyzing and fixing. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be analyzed or fixed, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be analyzed or fixed. If this is -1, that means all the pages of the source PDF file will be analyzed or fixed, and parameter first_page_index will be ignored. Default value: -1.

Returns
  None.